import Vue from 'vue';
// import VueI18n from 'vue-i18n';
import Vuetify from 'vuetify/lib';

Vue.use(Vuetify);

// const messages = {
//   en: {
//     $vuetify: {
//     }
//   },
//   de: {
//     $vuetify: {
//     }
//   },
//   fr: {
//     $vuetify: {
//     }
//   }
// };

// Create VueI18n instance with options
// const i18n = new VueI18n({
//   locale: 'de',
//   messages
// });

export default new Vuetify({
  // lang: {
  //   t: (key, ...params) => i18n.t(key, params)
  // },
  icons: {
    iconfont: 'mdiSvg',
    values: {
      upIcon: 'M22,22l-10,-20l-10,20l20,0Z',
      menu: 'M22,17.386L2,17.386L2,22.001L22,22.001L22,17.386ZM22,9.692L2,9.692L2,14.308L22,14.308L22,9.692ZM22,1.999L2,1.999L2,6.614L22,6.614L22,1.999Z',
      close: 'M12,7.515l5.515,-5.515l4.485,4.485l-5.515,5.515l5.515,5.515l-4.485,4.485l-5.515,-5.515l-5.515,5.515l-4.485,-4.485l5.515,-5.515l-5.515,-5.515l4.485,-4.485l5.515,5.515Z',
      next: 'M2,2l-0,20l20,-10l-20,-10Z',
      prev: 'M22,2l-20,10l20,10l-0,-20Z',
      reset: 'M3.902,9.014l-2.224,0l3.574,2.971l3.575,-2.971l-2.092,0c1.085,-2.102 3.277,-3.54 5.806,-3.54c3.604,-0 6.526,2.922 6.526,6.526c-0,3.604 -2.922,6.526 -6.526,6.526c-2.702,0 -5.019,-1.643 -6.012,-3.982l-2.403,1.02c1.39,3.274 4.633,5.573 8.415,5.573c5.046,-0 9.137,-4.091 9.137,-9.137c-0,-5.046 -4.091,-9.137 -9.137,-9.137c-4.002,0 -7.4,2.572 -8.639,6.151Zm12.209,2.986c0,-1.973 -1.6,-3.573 -3.572,-3.573c-1.973,0 -3.571,1.6 -3.571,3.573c0,1.973 1.6,3.573 3.573,3.573c1.973,-0 3.57,-1.6 3.57,-3.573Z'
    }
  },
  theme: {
    themes: {
      light: {
        primary: '#000000',
        secondary: '#61BEBF'
        // accent: '#8c9eff',
        // error: '#b71c1c'
      }
    }
  }
});
